Bug 1071313 - The 'Capture Options' dialog window is too big for 1366x768 screens
The 'Capture Options' dialog window is too big for 1366x768 screens
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
20
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-28 08:25 EST by João Avelino Bellomo Filho
Modified: 2016-05-31 21:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: wireshark-1.10.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 04:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description João Avelino Bellomo Filho 2014-02-28 08:25:53 EST
Description of problem:
In a laptop with 1366x768 resolution the buttons of 'Capture Options' are not shown in screen when is used Gnome Shell interface.

Version-Release number of selected component (if applicable):


How reproducible:
You need a computer where xorg was configured with 1366x768 resolution.

Steps to Reproduce:
1. Open the Wireshark software;
2. Go to 'Capture Options' through the main menu 'Capture' option and click over 'Options';
 
Actual results:
The openned dialog window does not show the 'Star' and 'Close' buttons, as well as does show nothing bellow of  'Resolve transport-layer name' checkbox.

Expected results:
The 'Start' and 'Close' buttons must be shown, as well as all checkboxes.

Additional info:
If is used the XFCE interface it's better. Part of that buttons is shown. But, if the Gnome Shell is the default X interface on Fedora 20, then we need support the 1366x768 resolution on xorg. After all, this screen resolution is very common in laptops.
Comment 1 Peter Hatina 2014-03-03 07:57:21 EST
The Capture Dialog has been reorganized, so it fills most of the available free space.

Submitted patch: https://code.wireshark.org/review/#/c/453/

Scratch builds for testing:

f20:     http://koji.fedoraproject.org/koji/taskinfo?taskID=6589721
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6589797

Waiting for feedback.
Comment 2 Fedora Update System 2014-03-07 05:04:37 EST
wireshark-1.10.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.5-4.fc20
Comment 3 Fedora Update System 2014-03-07 22:33:21 EST
Package wireshark-1.10.5-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.10.5-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3604/wireshark-1.10.5-4.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-03-09 03:41:22 EDT
wireshark-1.10.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.6-1.fc20
Comment 5 Fedora Update System 2014-03-09 03:41:39 EDT
wireshark-1.10.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.6-1.fc19
Comment 6 Fedora Update System 2014-03-18 04:13:50 EDT
wireshark-1.10.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-03-18 04:16:09 EDT
wireshark-1.10.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.